Main Page Widgets Namespaces Book

# Gtk::Settings Class Reference

Inheritance diagram for Gtk::Settings:

[legend]
List of all members.

## Public Member Functions

const GtkSettings* | gobj () const
| Provides access to the underlying C GObject.
GtkSettings* | gobj ()
| Provides access to the underlying C GObject.
GtkSettings* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_button_images () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_gtk_button_images ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_can_change_accels () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_gtk_can_change_accels ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_color_palette () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_gtk_color_palette ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_cursor_blink () const
| Whether the cursor should blink.
Glib::PropertyProxy<bool> | property_gtk_cursor_blink ()
| Whether the cursor should blink.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_cursor_blink_time () const
| Length of the cursor blink cycle.
Glib::PropertyProxy<int> | property_gtk_cursor_blink_time ()
| Length of the cursor blink cycle.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_dnd_drag_threshold () const
| Number of pixels the cursor can move before dragging.
Glib::PropertyProxy<int> | property_gtk_dnd_drag_threshold ()
| Number of pixels the cursor can move before dragging.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_double_click_distance () const
| Maximum distance allowed between two clicks for them to be considered a double click (in pixels).
Glib::PropertyProxy<int> | property_gtk_double_click_distance ()
| Maximum distance allowed between two clicks for them to be considered a double click (in pixels).
Glib::PropertyProxy_ReadOnly< int > | property_gtk_double_click_time () const
| Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).
Glib::PropertyProxy<int> | property_gtk_double_click_time ()
| Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_entry_select_on_focus () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_gtk_entry_select_on_focus ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_font_name () const
| Name of default font to use.
Glib::PropertyProxy<Glib::ustring> | property_gtk_font_name ()
| Name of default font to use.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_icon_sizes () const
| List of icon sizes gtk-menu=16.
Glib::PropertyProxy<Glib::ustring> | property_gtk_icon_sizes ()
| List of icon sizes gtk-menu=16.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_icon_theme_name () const
| Name of icon theme to use.
Glib::PropertyProxy<Glib::ustring> | property_gtk_icon_theme_name ()
| Name of icon theme to use.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_key_theme_name () const
| Name of key theme RC file to load.
Glib::PropertyProxy<Glib::ustring> | property_gtk_key_theme_name ()
| Name of key theme RC file to load.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_menu_bar_accel () const
| Keybinding to activate the menu bar.
Glib::PropertyProxy<Glib::ustring> | property_gtk_menu_bar_accel ()
| Keybinding to activate the menu bar.
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_split_cursor () const
| Whether two cursors should be displayed for mixed left-to-right and right-to-left text.
Glib::PropertyProxy<bool> | property_gtk_split_cursor ()
| Whether two cursors should be displayed for mixed left-to-right and right-to-left text.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_theme_name () const
| Name of theme RC file to load.
Glib::PropertyProxy<Glib::ustring> | property_gtk_theme_name ()
| Name of theme RC file to load.
Glib::PropertyProxy_ReadOnly< IconSize > | property_gtk_toolbar_icon_size () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<IconSize> | property_gtk_toolbar_icon_size ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< ToolbarStyle > | property_gtk_toolbar_style () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<ToolbarStyle> | property_gtk_toolbar_style ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_antialias () const
| Whether to antialias Xft fonts; 0=no.
Glib::PropertyProxy<int> | property_gtk_xft_antialias ()
| Whether to antialias Xft fonts; 0=no.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_dpi () const
| Resolution for Xft.
Glib::PropertyProxy<int> | property_gtk_xft_dpi ()
| Resolution for Xft.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_hinting () const
| Whether to hint Xft fonts; 0=no.
Glib::PropertyProxy<int> | property_gtk_xft_hinting ()
| Whether to hint Xft fonts; 0=no.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_xft_hintstyle () const
| What degree of hinting to use; none.
Glib::PropertyProxy<Glib::ustring> | property_gtk_xft_hintstyle ()
| What degree of hinting to use; none.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_xft_rgba () const
| Type of subpixel antialiasing; none.
Glib::PropertyProxy<Glib::ustring> | property_gtk_xft_rgba ()
| Type of subpixel antialiasing; none.
virtual | ~Settings ()

## Static Public Member Functions

static Glib::RefPtr<Settings> | get_default ()
| Gets the Gtk::Settings object for the default GDK screen, creating it if necessary.
static Glib::RefPtr<Settings> | get_for_screen (const Glib::RefPtr<Gdk::Screen>& screen)
| Gets the Gtk::Settings object for screen , creating it if necessary.

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::Settings> | wrap (GtkSettings* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Settings::~Settings | ( |  | ) | `[virtual]`

## Member Function Documentation

static Glib::RefPtr<Settings> Gtk::Settings::get_default | ( |  | ) | `[static]`

Gets the Gtk::Settings object for the default GDK screen, creating it if necessary.

See get_for_screen().

Returns:
  A Gtk::Settings object. If there is no default screen, then returns `0`.

static Glib::RefPtr<Settings> Gtk::Settings::get_for_screen | ( | const Glib::RefPtr<Gdk::Screen>& | screen | ) | `[static]`

Gets the Gtk::Settings object for screen , creating it if necessary.

Parameters:

  | screen | A Gdk::Screen.

Returns:
  A Gtk::Settings object.

Since gtkmm 2.2:

const GtkSettings* Gtk::Settings::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkSettings* Gtk::Settings::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkSettings* Gtk::Settings::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_button_images | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_button_images | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_can_change_accels | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_can_change_accels | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_color_palette | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_color_palette | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_cursor_blink | ( |  | ) | const

Whether the cursor should blink.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_cursor_blink | ( |  | ) |

Whether the cursor should blink.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_cursor_blink_time | ( |  | ) | const

Length of the cursor blink cycle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_cursor_blink_time | ( |  | ) |

Length of the cursor blink cycle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_dnd_drag_threshold | ( |  | ) | const

Number of pixels the cursor can move before dragging.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_dnd_drag_threshold | ( |  | ) |

Number of pixels the cursor can move before dragging.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_double_click_distance | ( |  | ) | const

Maximum distance allowed between two clicks for them to be considered a double click (in pixels).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_double_click_distance | ( |  | ) |

Maximum distance allowed between two clicks for them to be considered a double click (in pixels).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_double_click_time | ( |  | ) | const

Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_double_click_time | ( |  | ) |

Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_entry_select_on_focus | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_entry_select_on_focus | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_font_name | ( |  | ) | const

Name of default font to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_font_name | ( |  | ) |

Name of default font to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_icon_sizes | ( |  | ) | const

List of icon sizes gtk-menu=16.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_icon_sizes | ( |  | ) |

List of icon sizes gtk-menu=16.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_icon_theme_name | ( |  | ) | const

Name of icon theme to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_icon_theme_name | ( |  | ) |

Name of icon theme to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_key_theme_name | ( |  | ) | const

Name of key theme RC file to load.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_key_theme_name | ( |  | ) |

Name of key theme RC file to load.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_menu_bar_accel | ( |  | ) | const

Keybinding to activate the menu bar.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_menu_bar_accel | ( |  | ) |

Keybinding to activate the menu bar.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_split_cursor | ( |  | ) | const

Whether two cursors should be displayed for mixed left-to-right and right-to-left text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_split_cursor | ( |  | ) |

Whether two cursors should be displayed for mixed left-to-right and right-to-left text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_theme_name | ( |  | ) | const

Name of theme RC file to load.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_theme_name | ( |  | ) |

Name of theme RC file to load.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<IconSize> Gtk::Settings::property_gtk_toolbar_icon_size | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<IconSize> Gtk::Settings::property_gtk_toolbar_icon_size | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<ToolbarStyle> Gtk::Settings::property_gtk_toolbar_style | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<ToolbarStyle> Gtk::Settings::property_gtk_toolbar_style | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_xft_antialias | ( |  | ) | const

Whether to antialias Xft fonts; 0=no.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_xft_antialias | ( |  | ) |

Whether to antialias Xft fonts; 0=no.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_xft_dpi | ( |  | ) | const

Resolution for Xft.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_xft_dpi | ( |  | ) |

Resolution for Xft.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_xft_hinting | ( |  | ) | const

Whether to hint Xft fonts; 0=no.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_xft_hinting | ( |  | ) |

Whether to hint Xft fonts; 0=no.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_xft_hintstyle | ( |  | ) | const

What degree of hinting to use; none.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_xft_hintstyle | ( |  | ) |

What degree of hinting to use; none.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_xft_rgba | ( |  | ) | const

Type of subpixel antialiasing; none.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_xft_rgba | ( |  | ) |

Type of subpixel antialiasing; none.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::Settings> wrap | ( | GtkSettings* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- settings.h